Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.olap
Class TabularLevelHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.DesignElementHandle
          org.eclipse.birt.report.model.api.ReportElementHandle
              org.eclipse.birt.report.model.api.olap.LevelHandle
                  org.eclipse.birt.report.model.api.olap.TabularLevelHandle

All Implemented Interfaces:
  org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel, org.eclipse.birt.report.model.elements.interfaces.ILevelModel, org.eclipse.birt.report.model.elements.interfaces.ITabularLevelModel

    public class TabularLevelHandle

extends LevelHandle
implements org.eclipse.birt.report.model.elements.interfaces.ITabularLevelModel

Represents a level element.

See Also:
  `Level`

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`element`

Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`module`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.ITabularLevelModel
`COLUMN_NAME_PROP, DISPLAY_COLUMN_NAME_PROP`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.ILevelModel
`ATTRIBUTES_PROP, DATA_TYPE_PROP, DATE_TIME_FORMAT_PROP, DATE_TIME_LEVEL_TYPE, DEFAULT_VALUE_PROP, INTERVAL_BASE_PROP, INTERVAL_PROP, INTERVAL_RANGE_PROP, LEVEL_TYPE_PROP, STATIC_VALUES_PROP, VALUE_ACCESS_CONTROLS_PROP`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel
`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

Constructor Summary
`TabularLevelHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)` Constructs a handle for the given design and design element.

Method Summary
`java.lang.String` | `getColumnName()` Gets the column name of this level.
`java.lang.String` | `getDisplayColumnName()` Gets the display column name of this level.
`void` | `setColumnName(java.lang.String columnName)` Sets the column name for this level.
`void` | `setDisplayColumnName(java.lang.String columnName)` Sets the display column name for this level.

Methods inherited from class org.eclipse.birt.report.model.api.olap.LevelHandle
`attributesIterator, getDataType, getDateTimeFormat, getDateTimeLevelType, getDefaultValue, getInterval, getIntervalBase, getIntervalRange, getLevelType, setDataType, setDateTimeFormat, setDateTimeLevelType, setDefaultValue, setInterval, setIntervalBase, setIntervalRange, setIntervalRange, setLevelType, staticValuesIterator, valueAccessControlsIterator`

Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setEncryption, setEventHandlerClass, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNumberProperty, setProperties, setProperty, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TabularLevelHandle

    public TabularLevelHandle(org.eclipse.birt.report.model.core.Module module,
                              org.eclipse.birt.report.model.core.DesignElement element)

  Constructs a handle for the given design and design element. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

  Parameters:
    `module` - the module
    `element` - the model representation of the element

Method Detail

### getColumnName

    public java.lang.String getColumnName()

  Gets the column name of this level.

  Returns:
    column name of this level

### setColumnName

    public void setColumnName(java.lang.String columnName)
                       throws SemanticException

  Sets the column name for this level.

  Parameters:
    `columnName` - the column name to set
  Throws:
    `SemanticException` - property is locked

### getDisplayColumnName

    public java.lang.String getDisplayColumnName()

  Gets the display column name of this level.

  Returns:
    display column name of this level

### setDisplayColumnName

    public void setDisplayColumnName(java.lang.String columnName)
                              throws SemanticException

  Sets the display column name for this level.

  Parameters:
    `columnName` - the display column name to set
  Throws:
    `SemanticException` - property is locked

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.